Package be.e_contract.ejsf.validator

# Class OIDValidator

java.lang.Object
be.e_contract.ejsf.validator.OIDValidator

All Implemented Interfaces:
  `EventListener`, `javax.faces.component.PartialStateHolder`, `javax.faces.component.StateHolder`, `javax.faces.validator.Validator`

public class OIDValidator extends Object implements javax.faces.validator.Validator, javax.faces.component.PartialStateHolder

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`VALIDATOR_ID`

### Fields inherited from interface javax.faces.validator.Validator

`NOT_IN_RANGE_MESSAGE_ID`

## Constructor Summary

Constructors
Constructor
Description
`OIDValidator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearInitialState()`
`String`
`getMessage()`
`boolean`
`initialStateMarked()`
`boolean`
`isTransient()`
`void`
`markInitialState()`
`void`
`restoreState(javax.faces.context.FacesContext context, Object state)`
`Object`
`saveState(javax.faces.context.FacesContext context)`
`void`
`setMessage(String message)`
`void`
`setTransient(boolean newTransientValue)`
`void`
`validate(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VALIDATOR_ID

public static final String VALIDATOR_ID

See Also:
  - Constant Field Values

## Constructor Details

### OIDValidator

public OIDValidator()

## Method Details

### getMessage

public String getMessage()

### setMessage

public void setMessage(String message)

### validate

public void validate(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object value) throws javax.faces.validator.ValidatorException

Specified by:
  `validate` in interface `javax.faces.validator.Validator`
Throws:
  `javax.faces.validator.ValidatorException`

### saveState

public Object saveState(javax.faces.context.FacesContext context)

Specified by:
  `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

public void restoreState(javax.faces.context.FacesContext context, Object state)

Specified by:
  `restoreState` in interface `javax.faces.component.StateHolder`

### isTransient

public boolean isTransient()

Specified by:
  `isTransient` in interface `javax.faces.component.StateHolder`

### setTransient

public void setTransient(boolean newTransientValue)

Specified by:
  `setTransient` in interface `javax.faces.component.StateHolder`

### markInitialState

public void markInitialState()

Specified by:
  `markInitialState` in interface `javax.faces.component.PartialStateHolder`

### initialStateMarked

public boolean initialStateMarked()

Specified by:
  `initialStateMarked` in interface `javax.faces.component.PartialStateHolder`

### clearInitialState

public void clearInitialState()

Specified by:
  `clearInitialState` in interface `javax.faces.component.PartialStateHolder`